import {
  Component, EventEmitter, Input, OnInit, Output
} from '@angular/core';

@Component({
  selector: 'org-detail',
  moduleId: module.id,
  templateUrl: './organization.detail.component.html',
  styleUrls: ['./organization.detail.component.css']
})
export class OrganizationDetailComponent implements OnInit {
  constructor() {

  }

  _orgData;
  actOrgData = {};

  @Input() set orgData(v) {
    if (this._orgData && v && this._orgData.id != undefined && this._orgData.id == v.id) {
      return;
    }
    this._orgData = v;
    this.actOrgData = {};
    Object.assign(this.actOrgData, v);
    if (this._orgData) {
      this.selectStatus = this.orgStatus.find((item, index) => {
        return item.id == v.state;
      });
    } else {
      this.selectStatus = null;
    }
  }

  get orgData() {
    return this._orgData;
  }

  @Output() save = new EventEmitter();

  title;
  _viewType;
  orgStatus = [
    {
      id: 1,
      name: 'In use'
    },
    {
      id: 0,
      name: 'Un use'
    }
  ];
  selectStatus;

  @Input() set viewType(v) {
    if (this._viewType === v) {
      return;
    }
    this._viewType = v;
    this.setTitle();
  }

  get viewType() {
    return this._viewType;
  }

  ngOnInit() {
    if (!this.viewType) {
      this.viewType = 'view';
      this.setTitle();
    }
  }

  setTitle() {
    if (this.viewType === 'edit') {
      this.title = '编辑组织架构';
    } else if (this.viewType === 'add') {
      this.title = '新增组织架构';
    } else if (this.viewType === 'view') {
      this.title = '查看组织架构';
    }
  }

  saveOrg() {
    this.save.emit(this.actOrgData);
  }

  resetOrg() {
    this.actOrgData['orgName'] = '';
    this.actOrgData['remark'] = '';
  }
}
