import {
  Component, Input, OnInit, ViewChild
} from '@angular/core';
import {NgbModal} from '@ng-bootstrap/ng-bootstrap';
import {PostAddComponent} from '../post-add/post.add.component';
import {PostEditComponent} from '../post-edit/post.edit.component';
import { PostInterface } from '../../../../common/interface/post.interface';

@Component({
  selector: 'post-detail',
  moduleId: module.id,
  templateUrl: './post.detail.component.html',
  styleUrls: ['./post.detail.component.css']
})
export class PostDetailComponent implements OnInit {
  @Input() orgData; // 组织数据
  postData;
  postHeader;
  checkedPosts;

  constructor(private postInterface: PostInterface,
              private modalServie: NgbModal) {

  }

  ngOnInit() {
    this.setPostHeader();
    this.getPostDetail();
  }

  setPostHeader() {
    this.postHeader = [
      {
        field: 'postName',
        title: '岗位名称',
        width: '30%',
      }, {
        field: 'postNum',
        title: '岗位编号',
        width: '10%',
      }, {
        field: 'orgName',
        title: '所属机构',
        width: '10%',
      }, {
        field: 'remark',
        title: '岗位描述',
        width: '50%',
      }, {
        field: 'action',
        title: '操作',
        width: '10%',
      }
    ];
  }

  getPostDetail() {
    this.postData = [
      {
        'postName': '岗位名称1',
        'postNum': '岗位编号1',
        'orgName': '所属机构1',
        'remark': '岗位描述1',
      }, {
        'postName': '岗位名称2',
        'postNum': '岗位编号2',
        'orgName': '所属机构2',
        'remark': '岗位描述2',
      }, {
        'postName': '岗位名称3',
        'postNum': '岗位编号3',
        'orgName': '所属机构3',
        'remark': '岗位描述3',
      }
    ];
    /*this.postInterface.getPostDetail({
      id: this.orgData.id
    }).subscribe(res => {
      this.postData = res['result'];
    }, err => {
      alert(JSON.stringify(err));
    });*/
  }

  // 新增岗位事件
  addPostEvent() {
    let addDialog = this.modalServie.open(PostAddComponent, {
      backdrop: 'static',
    });
    let tempData = {
      postName: '',
      postNum: '',
      orgName: this.orgData.orgName,
      orgId: this.orgData.id,
      remark: '',
    };
    addDialog.componentInstance.postData = tempData;
    addDialog.result.then(val => {
      this.postData.unshift(val);
    }).catch(res => {
    });
  }

  editingPostData;

  // 编辑岗位事件
  modifyPostEvent(postData) {
    this.editingPostData = postData;
    let editDialog = this.modalServie.open(PostEditComponent, {
      backdrop: 'static',
    });
    console.log('this.ref', postData);
    editDialog.componentInstance.postData = postData;
    editDialog.result.then(val => {
      console.log(val);
    }).catch(res => {
    });
  }

  // 删除岗位事件
  deletePostEvent(postData) {
  }

  // 表格选中事件
  checkEvent(event) {
    this.checkedPosts = event;
  }
}
