import {
  Component, OnInit
} from '@angular/core';
import { NewsComponent } from '../../detail/announcement/news/news.component';
import { PlatformComponent } from '../../detail/announcement/platform/platform.component';
import { QuestionnaireComponent } from '../../detail/announcement/questionnaire/questionnaire.component';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import { CommonService } from '../../common/common.service';
import { HttpService } from '../../../..';

@Component({
  templateUrl: './announcement.component.html',
styleUrls: ['./announcement.component.css']
})
export class AnnouncementComponent implements OnInit {
  constructor(private http: HttpService,
    private test: CommonService,
    private sanitizer: DomSanitizer) {

  }

  source = [
    '1111111111111',
    '2222222222222222',
    '333333333333333',
    '4444444444444',
    '555555555555',
    '刘翀冲'
  ];
  trees = [
    {
      id: 1,
      title: '总部1',
      subNode: [
        {
          id: 11,
          title: '分公司1',
          show: true,
          subNode: [
            {
              id: 111,
              title: '分分公司1',
              subNode: [
                {
                  id: 111,
                  title: '分分公分司1',
                }
              ]
            }
          ]
        }
      ]
    },
    {
      id: 2,
      title: '总部2'
    }
  ]
  iframeUrl: SafeResourceUrl;
  data = [
    {
      title: 'news',
      component: NewsComponent,
      select: true
    },
    {
      title: 'platform',
      component: PlatformComponent,
      select: false
    },
    {
      title: 'questionnaire',
      //component: QuestionnaireComponent,
      url: '/home/announcement/questionnaire',
      params: {},
      select: false
    }
  ];

  ngOnInit() {
    this.test.getTestData().subscribe(res => {
      console.log('subscribe data:', res);
    });
    this.iframeUrl = this.sanitizer.bypassSecurityTrustResourceUrl('http://www.baidu.com');

  }

  clickNode(event) {
  }
  extendNode(event) {
  }


  tabChangeEvent(event) {
    console.log(event);
  }

  childItem = [
    {
      id: 1,
      name: '信息公告',
      routLink: '/home/announcement/news'
    }, {
      id: 2,
      name: '调查问卷',
      routLink: '/home/announcement/questionnaire',
      children: [
        {
          id: 21,
          name: '调查问卷子1',
          routLink: '/home/announcement/questionnaire',
        }, {
          id: 22,
          name: '调查问卷子2',
          routLink: '/home/announcement/questionnaire',
        }
      ]
    }, {
      id: 3,
      name: '交流平台',
      routLink: '/home/announcement/platform'
    }
  ];
}
