import {NgModule} from '@angular/core';
import {HomeComponent} from './home.component';
import {RouterModule} from '@angular/router';
import {CommonServiceModule} from '../common/common.service.module';
import {BannerComponent} from './banner/banner.component';
import {FormsModule} from '@angular/forms';
import {NgbModule} from '@ng-bootstrap/ng-bootstrap';
import {SystemManagementModule} from './system-management/system.management.module';

@NgModule({
  imports: [
    CommonServiceModule,
    FormsModule,
    NgbModule,
    RouterModule.forChild([
      {
        path: 'home',
        component: HomeComponent,
        children: [
          {
            path: 'announce ment',
            loadChildren: './announcement/announcement.module#AnnouncementModule',
          },
          {
            path: 'innerControl',
            loadChildren: './inner-control/inner.control.module#InnerControlModule',
          },
          {
            path: 'systemManagement',
            loadChildren: './system-management/system.management.module#SystemManagementModule',
          }
        ]
      },
      {
        path: '',
        redirectTo: '/home/systemManagement/organization', pathMatch: 'full'

      },
    ])
  ],
  providers: [],
  declarations: [
    HomeComponent,
    BannerComponent,
  ],
  exports: [
    HomeComponent
  ],
})
export class HomeModule {
}
