import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {InnerControlComponent} from './inner.control.component';
import {BudgetComponent} from '../../detail/inner-control/budget/budget.component';
import {ContractComponent} from '../../detail/inner-control/contract/contract.component';
import {PartnerComponent} from '../../detail/inner-control/partner/partner.component';
import {ProjectComponent} from '../../detail/inner-control/project/project.component';
import {WorkloadComponent} from '../../detail/inner-control/workload/workload.component';
import {CommonServiceModule} from '../../common/common.service.module';
import {CommonModule} from '@angular/common';

@NgModule({
  imports: [
    CommonModule,
    CommonServiceModule,
    RouterModule.forChild([
      {
        path: '',
        component: InnerControlComponent,
        children: [
          {
            path: 'budget',
            component: BudgetComponent
          }, {
            path: 'contract',
            component: ContractComponent
          }, {
            path: 'partner',
            component: PartnerComponent
          }, {
            path: 'project',
            component: ProjectComponent
          }, {
            path: 'workload',
            component: WorkloadComponent
          }, {
            path: '',
            redirectTo: 'budget'
          }
        ]
      },
    ])
  ],
  providers: [],
  declarations: [
    InnerControlComponent,
    BudgetComponent,
    ContractComponent,
    PartnerComponent,
    ProjectComponent,
    WorkloadComponent,
  ],
  exports: [
    InnerControlComponent
  ],
})
export class InnerControlModule {
}
