import {
  Component, EventEmitter, Input, OnInit, Output
} from '@angular/core';

@Component({
  selector: 'app-left-side',
  template: `<div [class.hideSide]="!sideShow">
  <div>
    <button (click)="toogleLeftSide()">点我隐藏left side</button>
  </div>
  <ul>
    <li *ngFor="let d of item">
      <a class="testcss" [routerLink]="[d.routLink]">
        {{d.name}}
      </a>
      <ul *ngIf="d.children">
        <li *ngFor="let dc of d.children">
          <a [routerLink]="[dc.routLink]">
            {{dc.name}}
          </a>
        </li>
      </ul>
    </li>
  </ul>
</div>
`,
  styles: [
    '.testcss {background: url("../../assets/img/gaojing.png") no-repeat left center transparent;padding-left: 20px;}',
    '.hideSide {width: 20px;overflow: hidden;}'
]
})
export class LeftSideComponent implements OnInit {
  @Input() item;
  @Output() toogleSide = new EventEmitter();
  sideShow = true;

  constructor() {

  }

  ngOnInit() {
  }

  toogleLeftSide() {
    this.sideShow = !this.sideShow;
    this.toogleSide.emit(this.sideShow);
  }
}
