import { Component, Input, Output, EventEmitter, OnInit } from '@angular/core';
import { Router, NavigationStart, NavigationEnd, NavigationCancel, NavigationError, RoutesRecognized } from '@angular/router';

@Component({
  selector: 'dc-table-column',
  template: `
  <div *ngIf="show" class="table-font">
    <ng-content></ng-content>
</div>
  `,
  styles: [

    '.table-font {' +
    'font-size: 12px;' +
    'line-height: 12px;' +
    'white-space: nowrap;' +
    'overflow: hidden;' +
    'text-overflow: ellipsis;}',



  ]
})
export class TableColumnComponent implements OnInit {
  ngOnInit(): void {
    if (this.header.field == this.field) {
      this.show = true;
    }
  }
  @Input() header: any;
  @Input() data: any;
  @Input() field: string;
  show: boolean;
  constructor(private router: Router) {

  }

}
